summaryrefslogtreecommitdiffstats
path: root/zsh/oh-my-zsh/plugins/python
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2024-03-25 16:43:09 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2024-03-25 16:43:09 +0530
commita62114c91f2070c8c8453d117f3d81dc113e41ff (patch)
treef266e87af29a08c01f82bc32dd7d463d8ec4441a /zsh/oh-my-zsh/plugins/python
parentaf120ab348f2e1a5a39dec035ed9dcf84189a64e (diff)
downloaddotfiles-a62114c91f2070c8c8453d117f3d81dc113e41ff.tar.gz
dotfiles-a62114c91f2070c8c8453d117f3d81dc113e41ff.tar.bz2
dotfiles-a62114c91f2070c8c8453d117f3d81dc113e41ff.zip
dotfile update
Diffstat (limited to 'zsh/oh-my-zsh/plugins/python')
-rw-r--r--zsh/oh-my-zsh/plugins/python/README.md29
-rw-r--r--zsh/oh-my-zsh/plugins/python/python.plugin.zsh83
2 files changed, 0 insertions, 112 deletions
diff --git a/zsh/oh-my-zsh/plugins/python/README.md b/zsh/oh-my-zsh/plugins/python/README.md
deleted file mode 100644
index 97c1a34..0000000
--- a/zsh/oh-my-zsh/plugins/python/README.md
+++ /dev/null
@@ -1,29 +0,0 @@
-# Python plugin
-
-The plugin adds several aliases for useful [Python](https://www.python.org/) commands.
-
-To use it, add `python` to the plugins array in your zshrc file:
-
-```zsh
-plugins=(... python)
-```
-
-## Aliases
-
-| Command | Description |
-| ---------------- | -------------------------------------------------------------------------------------- |
-| `py` | Runs `python3` |
-| `ipython` | Runs the appropriate `ipython` version according to the activated virtualenv |
-| `pyfind` | Finds .py files recursively in the current directory |
-| `pyclean [dirs]` | Deletes byte-code and cache files from a list of directories or the current one |
-| `pygrep <text>` | Looks for `text` in `*.py` files in the current directory, recursively |
-| `pyuserpaths` | Add user site-packages folders to `PYTHONPATH`, for Python 2 and 3 |
-| `pyserver` | Starts an HTTP server on the current directory (use `--directory` for a different one) |
-
-## Virtual environments
-
-The plugin provides two utilities to manage Python venvs:
-
-- `mkv [name]`: make a new virtual environment called `name` (default: `venv`) in current directory.
-
-- `vrun [name]`: activate virtual environment called `name` (default: `venv`) in current directory.
diff --git a/zsh/oh-my-zsh/plugins/python/python.plugin.zsh b/zsh/oh-my-zsh/plugins/python/python.plugin.zsh
deleted file mode 100644
index 2fbb595..0000000
--- a/zsh/oh-my-zsh/plugins/python/python.plugin.zsh
+++ /dev/null
@@ -1,83 +0,0 @@
-# python command
-alias py='python3'
-
-# Find python file
-alias pyfind='find . -name "*.py"'
-
-# Remove python compiled byte-code and mypy/pytest cache in either the current
-# directory or in a list of specified directories (including sub directories).
-function pyclean() {
- find "${@:-.}" -type f -name "*.py[co]" -delete
- find "${@:-.}" -type d -name "__pycache__" -delete
- find "${@:-.}" -depth -type d -name ".mypy_cache" -exec rm -r "{}" +
- find "${@:-.}" -depth -type d -name ".pytest_cache" -exec rm -r "{}" +
-}
-
-# Add the user installed site-packages paths to PYTHONPATH, only if the
-# directory exists. Also preserve the current PYTHONPATH value.
-# Feel free to autorun this when .zshrc loads.
-function pyuserpaths() {
- setopt localoptions extendedglob
-
- # Check for a non-standard install directory.
- local user_base="${PYTHONUSERBASE:-"${HOME}/.local"}"
-
- local python version site_pkgs
- for python in python2 python3; do
- # Check if command exists
- (( ${+commands[$python]} )) || continue
-
- # Get minor release version.
- # The patch version is variable length, truncate it.
- version=${(M)${"$($python -V 2>&1)":7}#[^.]##.[^.]##}
-
- # Add version specific path, if:
- # - it exists in the filesystem
- # - it isn't in $PYTHONPATH already.
- site_pkgs="${user_base}/lib/python${version}/site-packages"
- [[ -d "$site_pkgs" && ! "$PYTHONPATH" =~ (^|:)"$site_pkgs"(:|$) ]] || continue
- export PYTHONPATH="${site_pkgs}${PYTHONPATH+":${PYTHONPATH}"}"
- done
-}
-
-# Grep among .py files
-alias pygrep='grep -nr --include="*.py"'
-
-# Run proper IPython regarding current virtualenv (if any)
-alias ipython="python3 -c 'import IPython; IPython.terminal.ipapp.launch_new_instance()'"
-
-# Share local directory as a HTTP server
-alias pyserver="python3 -m http.server"
-
-
-## venv utilities
-
-# Activate a the python virtual environment specified.
-# If none specified, use 'venv'.
-function vrun() {
- local name="${1:-venv}"
- local venvpath="${name:P}"
-
- if [[ ! -d "$venvpath" ]]; then
- echo >&2 "Error: no such venv in current directory: $name"
- return 1
- fi
-
- if [[ ! -f "${venvpath}/bin/activate" ]]; then
- echo >&2 "Error: '${name}' is not a proper virtual environment"
- return 1
- fi
-
- . "${venvpath}/bin/activate" || return $?
- echo "Activated virtual environment ${name}"
-}
-
-# Create a new virtual environment, with default name 'venv'.
-function mkv() {
- local name="${1:-venv}"
- local venvpath="${name:P}"
-
- python3 -m venv "${name}" || return
- echo >&2 "Created venv in '${venvpath}'"
- vrun "${name}"
-}